// TODO place these classes in the right section
.iter-timeline-wrapper {
  .it-now-label {
    position: absolute;
    top: 50%;
    z-index: 10;
    font-size: 1rem;
    font-family: $font-family-monospace;
    color: $primary-a6;
    font-weight: 600;
  }

  .row {
    position: relative;
    padding-top: $v-gap * 6;
    padding-bottom: $v-gap*6;

    &:after {
      content: '';
      width: $timeline-width;
      background: $timeline-border-color;
      position: absolute;
      left: $v-gap * 5;
      top: -$v-gap * 2;
      bottom: -$v-gap * 2;
    }
  }

  .timeline-element {
    padding: 6px 0 6px 50px;

    .card {
      background-color: #efefef;
    }
  }

  .it-pin-wrapper {
    display: flex;
    align-items: center;
    position: absolute;
    left: 0;
    top: -$timeline-pin-circle-size*0.5;
    z-index: 5;
    left: $timeline-padding;

    .pin-icon {
      width: $timeline-pin-circle-size;
      height: $timeline-pin-circle-size;
      border-radius: $timeline-pin-circle-size;
      box-sizing: border-box;
      display: flex;
      align-items: center;
      justify-content: center;
      box-shadow: $card-shadow;
      border: $timeline-pin-circle-border;
      margin-right: $v-gap * 2;
      background: #fff;

      &.in-progress {
        background: #efefef !important;
      }
    }

    svg {
      width: $timeline-pin-size;
      height: $timeline-pin-size;
      fill: $primary-a6;
    }

    .pin-text {
      color: $select-label-color;
      font-weight: 600;
      text-transform: uppercase;
      background: $primary-c1;
      border-radius: $border-radius;
      font-family: $font-family-monospace;
      font-size: 14px;
      margin-right: 1rem;

      span {
        padding: $v-gap*0.5 $v-gap * 2;
        display: block;
        position: relative;

        &:after {
          content: '';
          width: 10px;
          height: 10px;
          background: $primary-c1;
          border-radius: 3px;
          position: absolute;
          left: -4px;
          top: 50%;
          transform: translateY(-50%) rotate(45deg);
        }
      }
    }

    &.it-now {
      .pin-icon {
        background: $primary-a6;
      }

      svg {
        fill: #fff;
      }

      .pin-text {
        color: #fff;
        background: $primary-a6;

        span {
          &:after {
            background: $primary-a6;
          }
        }
      }
    }

    &.it-evidence {
      .pin-icon {
        background: $primary-a10;
      }

      svg {
        fill: #fff;
      }

      .pin-text {
        color: #fff;
        background: $primary-a10;

        span {
          &:after {
            background: $primary-a10;
          }
        }
      }
    }
  }
}


@media screen {
  #pratica-summary, .formio-read-only {
    .d-preview-calendar {
      display: block;
    }

    .d-preview-calendar-none {
      display: none;
    }
  }
  .d-preview-calendar {
    display: none;
  }
  .d-preview-calendar-none {
    display: block;
  }
}

.d-none {
  &-FormIO {
    display: none;
  }

  &-SciaPraticaEdilizia {
    display: none;

  }
}

//Fix resize label in tabs
.form-group {
  padding-bottom: 1rem;
  margin-bottom: 1rem;
  width: auto !important;

  label {
    position: relative;
    white-space: normal;
    overflow-wrap: break-word;
    &.active {
      transform: unset;
      font-size: inherit;
    }
  }
}

// TODO remove with new PNRR interface
#edit_user_profile {
  .form-group {
    select {
      border: none;
      border-bottom: 1px solid #5b6f82;
      border-radius: 0;
      padding: 0.375rem 0.5rem;
      outline: 0;
      height: 2.5rem;
      width: 100%;
      box-shadow: none;
      transition: .2s ease-out;
      font-weight: 700;
      color: #17324d;
      background-color: #fff;
    }
  }
}

.truncate-wrapper {
  max-width: 75%;

  .chip-label {
    height: auto !important;
    transform: none !important;
  }
}

.notification.top-right-fix {
  border-top-left-radius: 0;
  border-top-right-radius: 0;
  top: 0;
  transform: translateX(0%);
  bottom: auto;
  right: 0;
  z-index: 10;
}

.flex-1 {
  flex: 1
}

.text-forward {
  color: $black;
  text-decoration: none;

  :focus {
    text-decoration: none;
  }
}

// Heights
.h {
  &-80 {
    height: 80px;
  }

  &-70 {
    height: 70px;
  }

  &-60 {
    height: 60px;
  }

  &-50 {
    height: 50px;
  }

  &-40 {
    height: 40px;
  }
}

.tooltip-inner {
  font-size: 12px;
}

.icon {
  &-50 {
    height: 50px;
    width: 50px;
  }

  &-70 {
    height: 70px;
    width: 70px;
  }
}

// Hide checkbox gateways
.row-payments {
  .form-check > [type='checkbox'] + label::after,
  .form-check > [type='checkbox'] + label::before {
    z-index: -2;
  }

  .collapse-header *[data-toggle='collapse'] {
    border-top: 0
  }
}

// Hide checkbox providers
.row-protocol-providers {
  .form-check > [type='radio'] + label::after,
  .form-check > [type='radio'] + label::before {
    z-index: -2;
  }

  .collapse-header *[data-toggle='collapse'] {
    border-top: 0
  }

  .formio-component .formio-hidden {
    padding-bottom: 0;
    margin-bottom: 0;
  }

  .formio-component-datagrid .datagrid-table, .formio-component-datagrid .datagrid-table td, .formio-component-datagrid .datagrid-table th {
    border: 1px solid #ddd !important;
    padding: 10px;
  }
}

.p-contacts {
  padding: 2.5rem 1.5rem;
}

.bg-grey-card {
  background: #ebeef0;
}

.shadow-contacts {
  box-shadow: inset 0 10px 14px -12px rgb(0 0 0 / 34%);
}

.bg-primary {
  &-a6 {
    background-color: $primary-a6;
  }
}


/*************************/


.bg-grey-card {
  background: #ebeef0
}


.t-primary {
  color: $primary;
}

.text-button-sm {
  font-size: 1rem;
  line-height: 1.5;
  @media (min-width: 576px) {
    font-size: .8888888889rem;
  }
}

@media (max-width: 991px) {
  .row-column-menu-left {
    .border-right {
      border-right: none !important;
    }
  ;
  }
}

// Max width
.max-w {
  &-100 {
    max-width: 100px;
  }

  &-200 {
    max-width: 200px;
  }

  &-300 {
    max-width: 300px;
  }
}

.formio-form nav {
  background-color: transparent;
}


.bg-light {
  --bs-bg-opacity: 1;
  background-color: rgba(var(--bs-light-rgb), var(--bs-bg-opacity)) !important;
}

.it-page-section {
  ul {
    padding-left: 1.25rem;
    list-style-type: disc !important;
  }

  li {
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
  }

  @media (min-width: 768px) {
    li {
      line-height: 1.56;
    }
  }
  @media (min-width: 576px) {
    ul {
      padding-left: 2rem;
    }
    li {
      font-size: 1rem;
    }
  }
}


.choices-auto-height {
  .form-check > label {
    height: auto;
  }
}

.cursor {
  &-none {
    cursor: none;
  }

  &-help {
    cursor: help;
  }

  &-pointer {
    cursor: pointer;
  }

  &-auto {
    cursor: auto;
  }

  &-default {
    cursor: default;
  }
}

// Disable effect hover tab detail payment
.it-list-wrapper .it-list a.cursor-auto:hover {
  box-shadow: none;
  color: inherit;
  text-decoration: none;
  border-bottom: 1px solid hsl(210deg, 3.6255162919%, 78.21%);
  background: transparent;
  position: relative;
  z-index: 1;
  transition: none;
}

.cmp-card-after-0 {
  .card {
    &:after {
      content: unset;
      margin: 0 !important;
    }
  }
}

.scrollable-box {
  max-height: 100px;
  overflow-y: scroll;
  overflow-x: hidden;
}


/* Small devices (landscape phones, 576px and up)*/
@media (min-width: 576px) {
  .w-sm-100 {
    width: 100% !important;
  }

  .w-sm-75 {
    width: 75% !important;
  }

  .w-sm-50 {
    width: 50% !important;
  }

  .w-sm-25 {
    width: 25% !important;
  }

  .h-sm-100 {
    height: 100% !important;
  }

  .h-sm-75 {
    height: 75% !important;
  }

  .h-sm-50 {
    height: 50% !important;
  }

  .h-sm-25 {
    height: 25% !important;
  }
}


/* Medium devices (tablets, 768px and up)*/
@media (min-width: 768px) {
  .w-md-100 {
    width: 100% !important;
  }

  .w-md-75 {
    width: 75% !important;
  }

  .w-md-50 {
    width: 50% !important;
  }

  .w-md-25 {
    width: 25% !important;
  }

  .h-md-100 {
    height: 100% !important;
  }

  .h-md-75 {
    height: 75% !important;
  }

  .h-md-50 {
    height: 50% !important;
  }

  .h-md-25 {
    height: 25% !important;
  }
}

/* Large devices (desktops, 992px and up)*/
@media (min-width: 992px) {
  .w-lg-100 {
    width: 100% !important;
  }

  .w-lg-75 {
    width: 75% !important;
  }

  .w-lg-50 {
    width: 50% !important;
  }

  .w-lg-25 {
    width: 25% !important;
  }

  .h-lg-100 {
    height: 100% !important;
  }

  .h-lg-75 {
    height: 75% !important;
  }

  .h-lg-50 {
    height: 50% !important;
  }

  .h-lg-25 {
    height: 25% !important;
  }
}

/* Extra large devices (large desktops, 1200px and up)*/
@media (min-width: 1200px) {
  .w-xl-100 {
    width: 100% !important;
  }

  .w-xl-75 {
    width: 75% !important;
  }

  .w-xl-50 {
    width: 50% !important;
  }

  .w-xl-25 {
    width: 25% !important;
  }

  .h-xl-100 {
    height: 100% !important;
  }

  .h-xl-75 {
    height: 75% !important;
  }

  .h-xl-50 {
    height: 50% !important;
  }

  .h-xl-25 {
    height: 25% !important;
  }

}

//Force inline paragraph in credits
.text-paragraph-inline {
  p {
    display: inline;
  }
}

#sezione-argomenti-in-evidenza {
  .background {
    position: absolute;
    width: 100%;
    height: 260px;
    top: 0;
    left: 0;
    background-size: cover;
    background-color: $primary
  }
}


// Contenuto di app.scss, da riorganizzare
.btn.square {
  border-radius: 0;
  background-color: $primary;
  font-weight: 700;
  color: #fff;
}

.btn.square:focus,.btn.square:hover {
  background-color: $primary;
  color: #fff
}

.btn.btn-re {
  width: 100%;
}

@media(min-width: 768px) {
  .btn.btn-re {
    max-width:18.22rem;
  }
}

::marker{
  content: none;
}

.filter-wrapper{
  .dropdown-item.active, .dropdown-item:active {
    color: rgb(255, 255, 255) !important;
    text-decoration: none;
    background-color: $primary;
  }
}

.date-range-picker-label{
  position: absolute;
  color: $secondary;
  font-size: .7777777778rem;
  display: block;
  font-weight: 600;
  padding: 0 0.5rem;
  line-height: calc(2.5rem - 1px);
  transform: translateY(-75%);
}

.custom-label{
  label{
    position: absolute;
    color: $secondary;
    font-size: 0.7777777778rem !important;
    display: block;
    font-weight: 600;
    padding: 0 0.5rem;
    line-height: calc(2.5rem - 1px);
    transform: translateY(-75%) !important;
  }
}

.max-w-300{
  max-width: 300px;
}

.text-truncate-table{
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  line-clamp: 3;
  -webkit-line-clamp: 3;
  min-width: 200px;
  overflow-y: auto;
  max-height: 400px;
}

#theme-preview {
  background-image: url("../../app/images/loading.gif");
  background-repeat: no-repeat;
  background-size: 2.5em;
  background-position: center;
  width: 992px; height: 600px;
  border: 0;
  -ms-transform: scale(0.6);
  -moz-transform: scale(0.6);
  -o-transform: scale(0.6);
  -webkit-transform: scale(0.6);
  transform: scale(0.6);

  -ms-transform-origin: 0 0;
  -moz-transform-origin: 0 0;
  -o-transform-origin: 0 0;
  -webkit-transform-origin: 0 0;
  transform-origin: 0 0;
}

//Workaround for error "fields is not focusable"
textarea.tinymce {
  background: transparent;
  border: none;
  box-shadow: none !important;
  display: block !important;
  height: 0;
  resize: none;
  width: 0;
  visibility: visible;
  position: absolute;
}


//Autocomplete accessible
.autocomplete__dropdown-arrow-down {
  z-index: 0!important;
  display: inline-block!important;
  position: absolute!important;
  right: 10px!important;
  width: 16px!important;
  height: 16px!important;
  top: 14px!important;
}

.nav-step {
  .step-number {
    border: 1px solid hsl(224deg, 43.1818181818%, 91.2%);
    display: inline-block;
    width: 1.778rem;
    height: 1.778rem;
    border-radius: 50%;
    text-align: center;
    margin-right: 0.667rem;
    font-weight: 600;
    font-size: 1rem;
    padding-top: 5px;
  }
  &.active {
    .step-number {
      color: hsl(0deg, 0%, 100%);
      background: $primary;
      border-color: $primary;
    }
  }
}

::marker {
 content: initial;
}

#user_group_services {
  .form-check [type=checkbox] + label, .form-check [type=radio] + label {
   height: auto;
  }
}

.html-editor {
  height: 200px;
}
